
//
// Blur shader - does a blur pass (H or V, 5 samples)
//

[VertexShader]

attribute highp   vec3 inPos;
attribute mediump vec2 inUV;
attribute lowp    vec4 inCol;
varying   lowp    vec4 outCol;
varying   mediump vec2 outUV0;
varying   mediump vec2 outUV1;
varying   mediump vec2 outUV2;
varying   mediump vec2 outUV3;
varying   mediump vec2 outUV4;

uniform   highp   mat4 matViewProj;
uniform   mediump vec4 vecUserParam;

void main()
{
	gl_Position = vec4(inPos,1) * matViewProj; outCol = inCol;
	
	outUV0 = inUV + vecUserParam.xy *-2.0;
	outUV1 = inUV + vecUserParam.xy *-1.0;
	outUV2 = inUV;	
	outUV3 = inUV + vecUserParam.xy * 1.0;
	outUV4 = inUV + vecUserParam.xy * 2.0;	
}

[FragmentShader]

uniform sampler2D texture0;
varying lowp    vec4 outCol;
varying mediump vec2 outUV0;
varying mediump vec2 outUV1;	 	
varying mediump vec2 outUV2;	 	
varying mediump vec2 outUV3;
varying mediump vec2 outUV4;

void main()
{
  gl_FragColor = ( 0.2*texture2D(texture0, outUV0.xy) + 0.2*texture2D(texture0, outUV1.xy)
                 + 0.2*texture2D(texture0, outUV2.xy) + 0.2*texture2D(texture0, outUV3.xy) + 0.2*texture2D(texture0, outUV4.xy) ) * outCol; 
}
