
//
// Masked - Textured and vertex coloured, with multitextured mask
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
attribute lowp    vec4 	inCol;	 
varying   lowp    vec4 	outCol;
varying   mediump vec2 	outUV;	 
varying   mediump vec2 	outUVProj;	 
uniform   highp   mat4 	matViewProj;
uniform   highp   vec4  vecProjScale;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outCol = inCol;
   outUV = inUV;
   outUVProj = (inPos.xy - vecProjScale.xy) * vecProjScale.zw;
}

[FragmentShader]

uniform sampler2D 		texture0;
uniform sampler2D 		texture1;
varying lowp    vec4 	outCol;
varying mediump vec2 	outUV;
varying mediump vec2 	outUVProj;

void main()
{
  gl_FragColor =  texture2D(texture0, outUV.xy) * texture2D(texture1, outUVProj.xy) * outCol; 
}
