
//
// StandardShader - Textured and vertex coloured
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
attribute lowp    vec4 	inCol;	 
varying   lowp    vec4 	outCol;
varying   mediump vec2 	outUV;	 
varying   mediump vec2  outUVScaled;
uniform   highp   mat4 	matViewProj;
uniform   highp   vec4  vecUserParam;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outCol 		= inCol;
   outUV 		= inUV;
   outUVScaled  = (inUV*vecUserParam.xy)+vecUserParam.zw;
}

[FragmentShader]
uniform sampler2D 		texture0;
uniform sampler2D 		texture1;
varying lowp    vec4 	outCol;
varying mediump vec2 	outUV;
varying mediump vec2 	outUVScaled;

void main()
{ 
  lowp vec4 vt0;
  lowp vec4 vt1;
  vt0 =  texture2D(texture0, outUV.xy );
  vt1 =  texture2D(texture1, outUVScaled.xy );  
  gl_FragColor = mix( vt0, vt1, vt1.w*outCol.a ); 
}
