
//
// Projected - Textured, not vertex coloured - UVs generated from pos
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
varying   mediump vec2 	outUV;	 
uniform   highp   mat4 	matViewProj;
uniform   highp   vec4  vecProjScale;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;   
   outUV = (inPos.xy - vecProjScale.xy) * vecProjScale.zw;
}

[FragmentShader]

uniform sampler2D 		texture0;
varying mediump vec2 	outUV;

void main()
{
  gl_FragColor =  texture2D(texture0, outUV.xy); 
}
