
//
// StandardShader - Textured and vertex coloured
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
attribute lowp    vec4 	inCol;	 
varying   lowp    vec4 	outCol;
varying   lowp    vec2 	outUV;	 
uniform   highp   mat4 	matViewProj;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outCol = inCol;
   outUV = inUV;
}

[FragmentShader]
uniform lowp 	sampler2D texture0;
varying lowp    vec4 	outCol;
varying lowp    vec2 	outUV;

void main()
{ 
  gl_FragColor =  texture2D(texture0, outUV.xy ) * outCol; 
}
