
//
// StandardShader_MipBias - Textured and vertex coloured
// With (expensive) mip bias hack, as doing it properly doesn't work on iOS!
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
attribute lowp    vec4 	inCol;	 
varying   lowp    vec4 	outCol;
varying   mediump vec2 	outUV;	 
uniform   highp   mat4 	matViewProj;

void main()
{
   gl_Position = vec4(inPos,1) * matViewProj;
   outCol = inCol;
   outUV = inUV;
}

[FragmentShader]
uniform sampler2D 		texture0;
varying lowp    vec4 	outCol;
varying mediump vec2 	outUV;
uniform mediump float   fMipBias;

#extension GL_EXT_shader_texture_lod   : require
#extension GL_OES_standard_derivatives : require

void main()
{ 
  mediump vec2 dx;
  mediump vec2 dy;
  dx = dFdx(outUV) * fMipBias;
  dy = dFdy(outUV) * fMipBias;
  gl_FragColor = texture2DGradEXT(texture0, outUV, dx, dy) * outCol;
}
