
//
// UnlitFogged3D - Textured and vertex coloured
//

[VertexShader]

attribute highp   vec3 	inPos;
attribute mediump vec2 	inUV;	 
attribute lowp    vec4 	inCol;	 

varying   lowp    vec4 	outCol;
varying   mediump vec2 	outUV;	 
uniform   highp   mat4 	matWorldViewProj;
uniform   highp   mat4 	matWorldView;

uniform   mediump   vec4  g_f4Fog;
uniform   mediump   vec4  g_f4FogCol;

void main()
{
    gl_Position = vec4(inPos,1) * matWorldViewProj;

    mediump vec3 f3ViewPos     = (vec4(inPos,1)*matWorldView).xyz;	
	   	
	lowp	vec4 f4Col			= inCol;
   
   	// Fog+AlphaFade
	// -------------------------------------	
	mediump float fAlpha        = 1.0 - min(1.0, (f3ViewPos.z - g_f4Fog.z)*g_f4Fog.w);	
	lowp float fFog 			= max( 0.0, min( 1.0 , fAlpha ) );   	
	outCol.rgba	 		 		= f4Col.rgba * fFog;			
	
    outUV = inUV;
}

[FragmentShader]
uniform sampler2D 		texture0;
varying lowp    vec4 	outCol;
varying mediump vec2 	outUV;

void main()
{ 
  gl_FragColor.rgba =  texture2D(texture0, outUV.xy ).rgba * outCol.rgba;  
}
